Subject: Re: pull request: wireless-2.6 2009-12-18

From: "John W. Linville" <[email-masked]>
Date: Sun, 20 Dec 2009 22:07:38 -0500

On Sun, Dec 20, 2009 at 06:29:10PM -0800, David Miller wrote:
> From: "John W. Linville" <[email-masked]>
> Date: Sun, 20 Dec 2009 08:38:00 -0500
> 
> > On Sun, Dec 20, 2009 at 12:17:36AM -0800, David Miller wrote:
> >> From: "John W. Linville" <[email-masked]>
> >> Date: Fri, 18 Dec 2009 16:19:45 -0500
> >> 
> >> > Please let me know if there are problems!
> >> 
> >> Your tree is based upon Linus's not net-2.6
> >> so when I pulled I got a lot of unrelated
> >> commits.
> >> 
> >> Please fix this, thanks.
> > 
> > It's based on 2.6.33-rc1.  Are you not going to pull that into net-2.6?
> 
> Why in the world should I?  There are no conflicts to resolve
> that I know of.
> 
> And if there are no conflicts to resolve, pulling in Linus's
> tree just makes future pulls into his tree more ugly.
> 
> This is pretty standard practice, but in any event you shouldn't ever
> care.
> 
> You should simply always work against net-2.6, there is no reason to
> work against any other tree.
> 
> This is a pretty fundamental thing, I don't know why you based against
> Linus's tree instead of net-2.6.  Now you have to rebase already :-/

My mistake!  For some reason I just thought that pulling from -rc1 was
your normal practice -- now I can't figure what gave me that idea...

Anyway, might as well have one more rebase now.  I'll straighten-out
my trees tomorrow morning and resubmit.

John
-- 
John W. Linville                Someday the world will need a hero, and you
[email-masked]                  might be all we have.  Be ready.